package jerozgen.languagereload.gui;

import org.joml.Vector2i;

import java.util.LinkedList;
import java.util.List;
import net.minecraft.class_1077;
import net.minecraft.class_2561;
import net.minecraft.class_4185;
import net.minecraft.class_7919;

public class LockedLanguageEntry extends LanguageEntry {
    private static final class_2561 LOCK_BUTTON_TOOLTIP = class_2561.method_43471("language.default.tooltip");

    private final class_4185 lockButton = addButton(16, 24, 43, 0, 0, __ -> {});

    public LockedLanguageEntry(Runnable refreshListsAction, String code, class_1077 language, LinkedList<String> selectedLanguages) {
        super(refreshListsAction, code, language, selectedLanguages);
        lockButton.field_22763 = false;
        lockButton.method_47400(class_7919.method_47407(LOCK_BUTTON_TOOLTIP));
    }

    @Override
    protected void renderButtons(ButtonRenderer renderer, int x, int y) {
        renderer.render(lockButton, x + 6, y);
        if (this.method_25370()) {
            var tooltip = client.field_1772.method_1728(LOCK_BUTTON_TOOLTIP, parentList.method_25322() - 6);
            parentList.getScreen().method_47942(tooltip, (screen, mouseX, mouseY, width, height) -> {
                var pos = new Vector2i(x + 3, y + parentList.getRowHeight() + 4);
                if (pos.y > parentList.getBottom() + 2 || pos.y + height + 5 > screen.field_22790) {
                    pos.y = y - height - 6;
                }
                return pos;
            }, true);
        }
    }
}
