package jerozgen.languagereload.mixin;

import jerozgen.languagereload.access.IAdvancementsTab;
import net.minecraft.class_161;
import net.minecraft.class_310;
import net.minecraft.class_332;
import net.minecraft.class_454;
import net.minecraft.class_456;
import org.spongepowered.asm.mixin.Final;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Shadow;

import java.util.Map;
import java.util.Objects;

@Mixin(class_454.class)
public abstract class AdvancementTabMixin extends class_332 implements IAdvancementsTab {
    @Shadow @Final private class_310 client;
    @Shadow @Final private Map<class_161, class_456> widgets;

    @Override
    public void languagereload_recreateWidgets() {
        widgets.replaceAll((advancement, widget) -> {
            var newWidget = new class_456(
                    ((AdvancementWidgetAccessor) widget).languagereload_getTab(),
                    client,
                    advancement,
                    Objects.requireNonNull(advancement.method_686())
            );
            newWidget.method_2333(((AdvancementWidgetAccessor) widget).languagereload_getProgress());
            ((AdvancementWidgetAccessor) newWidget).languagereload_setParent(((AdvancementWidgetAccessor) widget).languagereload_getParent());
            ((AdvancementWidgetAccessor) newWidget).languagereload_setChildren(((AdvancementWidgetAccessor) widget).languagereload_getChildren());
            return newWidget;
        });
    }
}
